/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

/// OrderedSidebarCategories : List of user's categories with their channels

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct OrderedSidebarCategories {
    #[serde(rename = "order", skip_serializing_if = "Option::is_none")]
    pub order: Option<Vec<String>>,
    #[serde(rename = "categories", skip_serializing_if = "Option::is_none")]
    pub categories: Option<Vec<crate::openapi::models::SidebarCategoryWithChannels>>,
}

impl OrderedSidebarCategories {
    /// List of user's categories with their channels
    pub fn new() -> OrderedSidebarCategories {
        OrderedSidebarCategories {
            order: None,
            categories: None,
        }
    }
}
